This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 11685 - step 11+16.4: factor out the common steps
Summary: step 11+16.4: factor out the common steps
Status: RESOLVED WONTFIX
Alias: None
Product: WHATWG
Classification: Unclassified
Component: HTML (show other bugs)
Version: unspecified
Hardware: Other other
: P5 normal
Target Milestone: Unsorted
Assignee: Ian 'Hixie' Hickson
QA Contact: contributor
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-06 19:37 UTC by contributor
Modified: 2012-07-18 18:41 UTC (History)
3 users (show)

See Also:


Attachments

Description contributor 2011-01-06 19:37:56 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/links.html
Section: http://www.whatwg.org/specs/web-apps/current-work/complete.html#atom

Comment:
step 11+16.4: factor out the common steps

Posted from: 81.234.240.182 by philip@foolip.org
Comment 1 Philip J├Ągenstedt 2011-01-06 19:42:09 UTC
These steps are very common and would be simpler to implement if it was immediately clear how much of them are the same, without comparing them word-by-word.

Specifically, I suggest factoring out the steps in 16.4 and reusing them in step 11. If the steps fail, then use <title>. This is slightly different from what's currently in the spec, as a <hgroup> with no h1-h6 elements would then fall back to <title>, rather than resulting in an empty list.
Comment 2 Philip J├Ągenstedt 2011-01-06 19:45:02 UTC
Of course, steps 12-13 and and 16.5-6 should also be factored out.
Comment 3 Ian 'Hixie' Hickson 2011-02-08 00:14:49 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: see diff below
Rationale:

Steps 16.4 (the processing article headings) and 11 (the processing of the page heading) are quite distinct  the latter has a default and handles subheadings in <hgroup>. I tried to factor it out just now, but it just ended up taking as much prose, and being harder to read, for the same result.

So I added a note instead, explaining the difference. I hope that helps.

Leaving the bug open so I can look at comment 2, but in the future please only file one issue per bug.
Comment 4 contributor 2011-02-08 00:15:00 UTC
Checked in as WHATWG revision r5843.
Check-in comment: try to help implementors who may wonder whether these requirements are duplicates
http://html5.org/tools/web-apps-tracker?from=5842&to=5843